Subject: bug#30801: closed (Re: [bug#30801] Add opencv)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 May 2018 22:02:02 +0000

Your bug report

#30801: [PATCH 0/1] Add opencv

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30801: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30801
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30801] Add opencv
From: [email-masked] (Ludovic Courtès)
To: Björn Höfling <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 May 2018 00:01:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Björn,

Björn Höfling <[email-masked]> skribis:

> Here is another update:
>
> * Kept it in one output.
> * No, there are no .a-files.
> * I tried to build the documentation, but somehow it did not work.
>   Postponed for the next update.
> * Added more to the description.
> * The new ffmpeg 4.0 caused a core dump during test phase, so I set it
>   explicitly to the old 3.4.

Awesome, thanks for looking into this.

> From 0e234430fec497d3c7702e288474e39d37cb8ae8 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Bj=C3=B6rn=20H=C3=B6fling?=
>  <[email-masked]>
> Date: Fri, 16 Feb 2018 20:31:37 +0100
> Subject: [PATCH] gnu: Add opencv.
>
> * gnu/packages/image-processing.scm (opencv): New variable.

Applied!

‘guix lint’ reports this:

  gnu/packages/image-processing.scm:201:2: [email-masked]: probably vulnerable to CVE-2018-7712, CVE-2018-7713, CVE-2018-7714

Could you take a look?  It could be that 3.4.2 is around the corner and
we’ll just update at that point; if not, we may have to apply upstream
patches for these issues.

Thank you!

Ludo’.

Subject: [PATCH 0/1] Add opencv
From: Björn Höfling <[email-masked]>
To: <[email-masked]>
Date: Tue, 13 Mar 2018 17:58:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch adds OpenCV, a computer vision library.

It combines the basic and contrib algorithms.

Some notes:

The test suite consists of an extra package, weighting 465MB
compressed. It runs very well. I think the size is worth it. It
consists of proprietary things (i.e. lena.jpg). As far as I understand,
that is OK, if it doesn't get in the final src/bin store output. Right?

CPU-optimization: I hope I have done everything right. Reading the
article from Guix HPC a second time helped a lot. So now it should be
compiled with SSE2/NEON being the minimum required instruction set, and
dispatches to other ISAs where available.

Size: Currently I load a bunch of dependencies in and have one
big  package as output. guix size is 1.1 GiB. I slightly have the
feeling someone could ask to split it in several outputs. Though having
one big output was the easiest thing first and I don't know how one
would handle inter-dependencies between the different outputs.

Björn

Björn Höfling (1):
  gnu: Add opencv.

 gnu/packages/image-processing.scm | 186 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 186 insertions(+)

-- 
2.16.2